

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.GstAudio.Objects
    (     module GI.GstAudio.Objects.AudioAggregator,
    module GI.GstAudio.Objects.AudioAggregatorConvertPad,
    module GI.GstAudio.Objects.AudioAggregatorPad,
    module GI.GstAudio.Objects.AudioBaseSink,
    module GI.GstAudio.Objects.AudioBaseSrc ,
    module GI.GstAudio.Objects.AudioCdSrc   ,
    module GI.GstAudio.Objects.AudioClock   ,
    module GI.GstAudio.Objects.AudioDecoder ,
    module GI.GstAudio.Objects.AudioEncoder ,
    module GI.GstAudio.Objects.AudioFilter  ,
    module GI.GstAudio.Objects.AudioRingBuffer,
    module GI.GstAudio.Objects.AudioSink    ,
    module GI.GstAudio.Objects.AudioSrc     ,


    ) where

import GI.GstAudio.Objects.AudioAggregator
import GI.GstAudio.Objects.AudioAggregatorConvertPad
import GI.GstAudio.Objects.AudioAggregatorPad
import GI.GstAudio.Objects.AudioBaseSink
import GI.GstAudio.Objects.AudioBaseSrc
import GI.GstAudio.Objects.AudioCdSrc
import GI.GstAudio.Objects.AudioClock
import GI.GstAudio.Objects.AudioDecoder
import GI.GstAudio.Objects.AudioEncoder
import GI.GstAudio.Objects.AudioFilter
import GI.GstAudio.Objects.AudioRingBuffer
import GI.GstAudio.Objects.AudioSink
import GI.GstAudio.Objects.AudioSrc

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



