#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstAudio.Objects.AudioEncoder where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AudioEncoder = AudioEncoder (ManagedPtr AudioEncoder)
instance GObject AudioEncoder where
class (GObject o, O.IsDescendantOf AudioEncoder o) => IsAudioEncoder o
instance (GObject o, O.IsDescendantOf AudioEncoder o) => IsAudioEncoder o
instance O.HasParentTypes AudioEncoder
#if ENABLE_OVERLOADING
data AudioEncoderHardResyncPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderMarkGranulePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderPerfectTimestampPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderTolerancePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderAllocateOutputBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderFinishFrameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetAllocatorMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetAudioInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetDrainableMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetFrameMaxMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetFrameSamplesMaxMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetFrameSamplesMinMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetHardMinMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetHardResyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetLookaheadMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetMarkGranuleMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetPerfectTimestampMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderGetToleranceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderMergeTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderNegotiateMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderProxyGetcapsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetAllocationCapsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetDrainableMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetFrameMaxMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetFrameSamplesMaxMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetFrameSamplesMinMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetHardMinMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetHardResyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetHeadersMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetLookaheadMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetMarkGranuleMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetOutputFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetPerfectTimestampMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioEncoderSetToleranceMethodInfo
#endif
