#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstAudio.Objects.AudioRingBuffer where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AudioRingBuffer = AudioRingBuffer (ManagedPtr AudioRingBuffer)
instance GObject AudioRingBuffer where
class (GObject o, O.IsDescendantOf AudioRingBuffer o) => IsAudioRingBuffer o
instance (GObject o, O.IsDescendantOf AudioRingBuffer o) => IsAudioRingBuffer o
instance O.HasParentTypes AudioRingBuffer
#if ENABLE_OVERLOADING
data AudioRingBufferAcquireMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferAdvanceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferClearAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferCloseDeviceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferCommitMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferConvertMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferDelayMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferDeviceIsOpenMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferIsAcquiredMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferIsActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferIsFlushingMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferMayStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferOpenDeviceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferPauseMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferPrepareReadMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferReadMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferReleaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferSamplesDoneMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferSetCallbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferSetChannelPositionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferSetFlushingMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferSetSampleMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferSetTimestampMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioRingBufferStopMethodInfo
#endif
