#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstAudio.Objects.AudioDecoder where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AudioDecoder = AudioDecoder (ManagedPtr AudioDecoder)
instance GObject AudioDecoder where
class (GObject o, O.IsDescendantOf AudioDecoder o) => IsAudioDecoder o
instance (GObject o, O.IsDescendantOf AudioDecoder o) => IsAudioDecoder o
instance O.HasParentTypes AudioDecoder
#if ENABLE_OVERLOADING
data AudioDecoderMinLatencyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderPlcPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderTolerancePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderAllocateOutputBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderFinishFrameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderFinishSubframeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetAllocatorMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetAudioInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetDelayMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetDrainableMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetEstimateRateMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetMaxErrorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetMinLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetNeedsFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetParseStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetPlcMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetPlcAwareMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderGetToleranceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderMergeTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderNegotiateMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderProxyGetcapsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetAllocationCapsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetDrainableMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetEstimateRateMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetMaxErrorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetMinLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetNeedsFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetOutputCapsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetOutputFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetPlcMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetPlcAwareMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetToleranceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AudioDecoderSetUseDefaultPadAcceptcapsMethodInfo
#endif
