

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.GstAudio.Structs
    (     module GI.GstAudio.Structs.AudioBuffer  ,
    module GI.GstAudio.Structs.AudioCdSrcTrack,
    module GI.GstAudio.Structs.AudioChannelMixer,
    module GI.GstAudio.Structs.AudioClippingMeta,
    module GI.GstAudio.Structs.AudioConverter,
    module GI.GstAudio.Structs.AudioDownmixMeta,
    module GI.GstAudio.Structs.AudioFormatInfo,
    module GI.GstAudio.Structs.AudioInfo    ,
    module GI.GstAudio.Structs.AudioMeta    ,
    module GI.GstAudio.Structs.AudioQuantize,
    module GI.GstAudio.Structs.AudioResampler,
    module GI.GstAudio.Structs.AudioRingBufferSpec,
    module GI.GstAudio.Structs.AudioStreamAlign,


    ) where

import GI.GstAudio.Structs.AudioBuffer
import GI.GstAudio.Structs.AudioCdSrcTrack
import GI.GstAudio.Structs.AudioChannelMixer
import GI.GstAudio.Structs.AudioClippingMeta
import GI.GstAudio.Structs.AudioConverter
import GI.GstAudio.Structs.AudioDownmixMeta
import GI.GstAudio.Structs.AudioFormatInfo
import GI.GstAudio.Structs.AudioInfo
import GI.GstAudio.Structs.AudioMeta
import GI.GstAudio.Structs.AudioQuantize
import GI.GstAudio.Structs.AudioResampler
import GI.GstAudio.Structs.AudioRingBufferSpec
import GI.GstAudio.Structs.AudioStreamAlign

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



